DROP TABLE IF EXISTS VALORES_SENSORES;
DROP TABLE IF EXISTS VALORES_STATUS;
DROP TABLE IF EXISTS VALORES_PARAMETROS;
DROP TABLE IF EXISTS MOTAS;
DROP TABLE IF EXISTS STATUS;
DROP TABLE IF EXISTS PARAMETROS;
DROP TABLE IF EXISTS TIPOS_PARAMETRO;
DROP TABLE IF EXISTS SENSORES;
DROP TABLE IF EXISTS USUARIOS;
DROP TABLE IF EXISTS MAPA;

CREATE TABLE MAPA (
	X INTEGER,
	Y INTEGER
);

CREATE TABLE USUARIOS (
	usuario TEXT,
    password TEXT,
	PRIMARY KEY (usuario)
);

CREATE TABLE SENSORES (
	id INTEGER PRIMARY KEY,
    descripcion TEXT,
    unidades TEXT,
    conversion TEXT
);

CREATE TABLE TIPOS_PARAMETRO (
	id INTEGER PRIMARY KEY,
    descripcion TEXT,
	longitud INTEGER
);

CREATE TABLE PARAMETROS (
	id INTEGER PRIMARY KEY,
    descripcion TEXT,
	id_tipos_parametro INTEGER,
	mota SMALLINT,
	interfaz TEXT,
    defecto TEXT
);

CREATE TABLE STATUS (
	id INTEGER PRIMARY KEY,
    descripcion TEXT,
	valor_critico NUMERIC,
	comparacion TEXT,
	alerta TEXT,
    unidades TEXT,
    conversion TEXT
);

CREATE TABLE MOTAS (
	id INTEGER PRIMARY KEY,
    ip TEXT,
	fecha DATETIME,
    fechaUltimo DATETIME,
	sinc INTEGER,
	sincMota INTEGER
);

CREATE TABLE VALORES_SENSORES (
	id_mota INTEGER,
    id_sensor INTEGER,
	fecha DATETIME,
	valor NUMERIC,
	ultimo SMALLINT,
	PRIMARY KEY (id_mota, id_sensor, fecha)
);

CREATE TABLE VALORES_STATUS (
	id_mota INTEGER,
    id_status INTEGER,
	fecha DATETIME,
	valor NUMERIC,
	alerta TEXT,
	PRIMARY KEY (id_mota, id_status)
);

CREATE TABLE VALORES_PARAMETROS (
	id_mota INTEGER,
    id_parametro INTEGER,
	fecha DATETIME,
	valor TEXT,
	PRIMARY KEY (id_mota, id_parametro)
);

BEGIN TRANSACTION;

INSERT INTO SENSORES (id, descripcion, unidades, conversion) values (1, 'Temperatura (SHT21)','C','VAL');
INSERT INTO SENSORES (id, descripcion, unidades, conversion) values (2, 'Humedad (SHT21)','%HR','VAL + 1');
INSERT INTO SENSORES (id, descripcion, unidades, conversion) values (3, 'Aceleracion (ADXL346)','m/s','2 * VAL');
INSERT INTO SENSORES (id, descripcion, unidades, conversion) values (4, 'Luz (MAX44009)', 'Lux', 'VAL / 2');

INSERT INTO TIPOS_PARAMETRO (id, descripcion, longitud) values (1, 'Numerico', 4);
INSERT INTO TIPOS_PARAMETRO (id, descripcion, longitud) values (2, 'Texto', 255);
INSERT INTO TIPOS_PARAMETRO (id, descripcion, longitud) values (3, 'Lista IPv6 separadas por ,', 255);

INSERT INTO PARAMETROS (id, descripcion, id_tipos_parametro, mota, interfaz, defecto) values (1, 'Servidores', 3, 1, NULL, '[::1]:5555');
INSERT INTO PARAMETROS (id, descripcion, id_tipos_parametro, mota, interfaz, defecto) values (2, 'Tiempo entre muestras (segundos)', 1, 1, NULL, 500);
INSERT INTO PARAMETROS (id, descripcion, id_tipos_parametro, mota, interfaz, defecto) values (3, 'Informacion libre', 2, 0, NULL, '');
INSERT INTO PARAMETROS (id, descripcion, id_tipos_parametro, mota, interfaz, defecto) values (4, 'Coordenada X', 1, 0, 'X', -1);
INSERT INTO PARAMETROS (id, descripcion, id_tipos_parametro, mota, interfaz, defecto) values (5, 'Coordenada Y', 1, 0, 'Y', -1);
INSERT INTO PARAMETROS (id, descripcion, id_tipos_parametro, mota, interfaz, defecto) values (6, 'Descripcion', 2, 0, 'desc', NULL);

INSERT INTO STATUS (id, descripcion, valor_critico, comparacion, alerta, unidades, conversion) values (1, 'Estado bateria', 5, '<=', 'Bateria baja', 'V', 'VAL * 2');

INSERT INTO USUARIOS (usuario, password)  values ('administrador', 'b109f3bbbc244eb82441917ed06d618b9008dd09b3befd1b5e07394c706a8bb980b1d7785e5976ec049b46df5f1326af5a2ea6d103fd07c95385ffab0cacbc86');

INSERT INTO MAPA(X,Y) VALUES(1024, 768);

INSERT INTO MOTAS (id,ip,fecha,fechaUltimo,sinc,sincMota) values(1,'[::1]:5684', datetime('now','localtime','-1 hour'), datetime('now','localtime'), 111111, 111111);
INSERT INTO VALORES_SENSORES(id_mota,id_sensor,fecha,valor,ultimo) values(1,1,datetime('now','localtime','-1 hour'),1,0);
INSERT INTO VALORES_SENSORES(id_mota,id_sensor,fecha,valor,ultimo) values(1,2,datetime('now','localtime','-1 hour'),2,0);
INSERT INTO VALORES_SENSORES(id_mota,id_sensor,fecha,valor,ultimo) values(1,3,datetime('now','localtime','-1 hour'),33,0);
INSERT INTO VALORES_SENSORES(id_mota,id_sensor,fecha,valor,ultimo) values(1,4,datetime('now','localtime','-1 hour'),44,0);
INSERT INTO VALORES_SENSORES(id_mota,id_sensor,fecha,valor,ultimo) values(1,1,datetime('now','localtime'),11,1);
INSERT INTO VALORES_SENSORES(id_mota,id_sensor,fecha,valor,ultimo) values(1,2,datetime('now','localtime'),22,1);
INSERT INTO VALORES_SENSORES(id_mota,id_sensor,fecha,valor,ultimo) values(1,3,datetime('now','localtime'),33,1);
INSERT INTO VALORES_SENSORES(id_mota,id_sensor,fecha,valor,ultimo) values(1,4,datetime('now','localtime'),44,1);
INSERT INTO VALORES_STATUS (id_mota,id_status,fecha,valor,alerta) values(1,1,datetime('now','localtime'),4,NULL);
INSERT INTO VALORES_PARAMETROS (id_mota,id_parametro,fecha,valor) values(1,1,datetime('now','localtime'),'[::1]:1,[::1]:2');
INSERT INTO VALORES_PARAMETROS (id_mota,id_parametro,fecha,valor) values(1,2,datetime('now','localtime'),300);
INSERT INTO VALORES_PARAMETROS (id_mota,id_parametro,fecha,valor) values(1,3,datetime('now','localtime'),'Libre');
INSERT INTO VALORES_PARAMETROS (id_mota,id_parametro,fecha,valor) values(1,4,datetime('now','localtime'),6);
INSERT INTO VALORES_PARAMETROS (id_mota,id_parametro,fecha,valor) values(1,5,datetime('now','localtime'),7);
INSERT INTO VALORES_PARAMETROS (id_mota,id_parametro,fecha,valor) values(1,6,datetime('now','localtime'),'Mota 1');
COMMIT; 