'use strict';

var app = angular.module('WSNWebInterface');

app.filter('startFrom', function() {
    return function(arr, inicio) {
        return arr.slice(parseInt(inicio));
    }
});

app.filter('fmtFecha', ['$filter', function($filter) {
    return function(d) {
	if (d && d.length) {
		var s1 = d.split(" ");
		var s11 = s1[0].split("-");
        	return s11[2]+"/"+s11[1]+"/"+s11[0]+" "+s1[1];
	}
	return d;
    }
}]);

var INTEGER_REGEXP = /^\d+$/;
var IPV6_REGEXP = /^\[(([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe80:(:[0-9a-fA-F]{0,4}){0,4}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])|([0-9a-fA-F]{1,4}:){1,4}:((25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9])\.){3,3}(25[0-5]|(2[0-4]|1{0,1}[0-9]){0,1}[0-9]))\]:(\d){1,5}$/;

app.directive('integer', function() {
  return {
    require: 'ngModel',
    link: function(scope, elm, attrs, ctrl) {
      ctrl.$validators.integer = function(modelValue, viewValue) {
        if (ctrl.$isEmpty(modelValue)) {
          // consider empty models to be valid
          return true;
        }

        if (INTEGER_REGEXP.test(viewValue)) {
          // it is valid
          return true;
        }

        // it is invalid
        return false;
      };
    }
  };
});

app.directive('validaciongenerica', function() {
  return {
    require: 'ngModel',
    link: function(scope, elm, attrs, ctrl) {
      ctrl.$validators.validacionGenerica = function(modelValue, viewValue) {
        var res = false;
        if (ctrl.$isEmpty(modelValue)) {
          return true;
        }
        if (attrs["tipo"] === '1') {
           res = INTEGER_REGEXP.test(viewValue) && viewValue.length <= parseInt(attrs["maxlen"])
        }
        else if (attrs["tipo"] === '2') {
            res = viewValue.length <= parseInt(attrs["maxlen"])
        }
        else if (attrs["tipo"] === '3') {
            if (viewValue.length <= parseInt(attrs["maxlen"])) {
                var ipv6s = viewValue.split(',');
                res = true;
                for (var iCnt = 0; iCnt < ipv6s.length; iCnt++)
                    if (!IPV6_REGEXP.test(ipv6s[iCnt])) res = false;
            }
        }
        else if (attrs["tipo"] === '4') {
            if (viewValue.length <= parseInt(attrs["maxlen"])) {
                if (viewValue === 'T' || viewValue === 'N') {
                    res = true;
                }
                else {
                    var ids = viewValue.split(',');
                    res = true;
                    for (var iCnt = 0; iCnt < ids.length; iCnt++)
                        if (!INTEGER_REGEXP.test(ids[iCnt])) res = false;
                }
            }
        }
        return res;
      };
    }
  };
});
