function ordenarTabla(ordenacion, col) {
	if (ordenacion.columnaOrden === col) 
	    ordenacion.sentido = !ordenacion.sentido;
	else {
		ordenacion.columnaOrden = col;
	    ordenacion.sentido = true;
	}
    ordenacion.ordenacion = (ordenacion.sentido ? '+' : '-') + ordenacion.columnaOrden;
};
    
function iconoOrdenacionTabla(ordenacion, col) {
    if (ordenacion.columnaOrden === col)
        return ordenacion.sentido ? 'glyphicon glyphicon-triangle-top' : 'glyphicon glyphicon-triangle-bottom';
    else
        return 'glyphicon glyphicon-sort'
};

function cargando($uibModal) {
    return $uibModal.open({templateUrl: 'vistas/utilidades/loading.html', size:'sm', backdrop:'static', keyboard: false});
};

function solicitarConfirmacion($uibModal, _titulo) {
   return $uibModal.open({templateUrl: 'vistas/utilidades/confirmacion.html', size:'sm', backdrop:'static', keyboard: false, controller: 'ModalControler',
       resolve: { datos: function () { return {titulo: _titulo}; }  }, });
}

function getOrdenacion() {
    return {columnaOrden:null, sentido: null, ordenacion: null};
};

function getPaginacion(regXPagina) {
    return {numRegistros: regXPagina, desde: 0, pagActual:1, totalRegistros: 0};
};

function setPagina(paginacion) {
	paginacion.desde = (paginacion.pagActual - 1) * paginacion.numRegistros;
};

function preparaPaginacion(paginacion, $filter, datos, buscador) {
    var motasFiltradas = $filter('filter')(datos, buscador);
    paginacion.desde = 0;
    paginacion.pagActual = 1;
    paginacion.totalRegistros = motasFiltradas.length;
};

function mensajes($scope) {
    $scope.mensajes = {mensajeError:null, mensajeOk:null,
        closeAlert:function() {
            this.mensajeError = null;
            this.mensajeOk = null;
        }
    };
};

function setMensaje($scope,msj) {
  $scope.mensajes.mensajeOk = msj;
};

function setMensajeError($scope,error) {
  if (error.statusText)
    $scope.mensajes.mensajeError = error.statusText;
  else
    $scope.mensajes.mensajeError = 'Error de conexión';
};

function limpiarMensajes($scope) {
    $scope.mensajes.mensajeError = null;
    $scope.mensajes.mensajeOk = null;
};