describe('Controllers Adm', function() {
	beforeEach(module('WSNWebInterface'));
	
	beforeEach(inject(function($httpBackend, baseURL){
		$httpBackend.expectGET(baseURL + 'login').respond(200, {});
		$httpBackend.flush();
	}));
	 
	describe('AdmListadoController', function() {

	  var controller, $scope, wsnWebInterfaceAdmFactory, $filter, regXPagina = 5, tiempoInactiva=300000, $httpBackend, baseURL;
	  var $uibModal = {open: function() { return {opened: {then: function (f){f();}}, close: function() {}, result:{then: function(callback){ callback('ok'); }}} } };
  
	  var d = new Date();
	  var date = d.getFullYear()+'-'+(d.getMonth()<9 ?  '0'+(d.getMonth()+1) : ''+(d.getMonth()+1))+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':'+d.getSeconds();
	  var dd = new Date(d.getTime() - tiempoInactiva - 1);
	  var ddate = dd.getFullYear()+'-'+(dd.getMonth()<9 ?  '0'+(dd.getMonth()+1) : ''+(dd.getMonth()+1))+'-'+dd.getDate()+' '+dd.getHours()+':'+dd.getMinutes()+':'+dd.getSeconds();
	  var datosMotas = [{id:1,fechaInfo:date,b:'XXXX'},{id:2,fechaInfo:date},{id:3,fechaInfo:ddate},{id:4,fechaInfo:date},{id:5,fechaInfo:date},{id:6,fechaInfo:date},{id:7,fechaInfo:date},{id:8,fechaInfo:date},{id:9,fechaInfo:date}];
	
	  
	  beforeEach(inject(function(_$controller_, $rootScope, _$httpBackend_, _$filter_, _wsnWebInterfaceAdmFactory_, _baseURL_){
		$scope = $rootScope.$new();
		$filter = _$filter_;
		$httpBackend = _$httpBackend_;
		wsnWebInterfaceAdmFactory = _wsnWebInterfaceAdmFactory_;
		baseURL = _baseURL_;
	
		controller = _$controller_('AdmListadoController', { '$scope': $scope, '$filter':$filter, '$uibModal':$uibModal, 'wsnWebInterfaceAdmFactory':wsnWebInterfaceAdmFactory, 'regXPagina':regXPagina, 'tiempoInactiva':tiempoInactiva });	
	  }));
	  
	  it('init', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();	
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceAdmFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(9);
		expect($scope.motas[0]).toBeDefined();
		expect($scope.motas[0].id).toBe(1);
		expect($scope.motas[0].fechaInfo).toBe(date);
		expect($scope.motas[0].inactiva).toBe(false);
		expect($scope.motas[2]).toBeDefined();
		expect($scope.motas[2].id).toBe(3);
		expect($scope.motas[2].fechaInfo).toBe(ddate);
		expect($scope.motas[2].inactiva).toBe(true);
		expect($scope.motas[8]).toBeDefined();
		expect($scope.motas[8].id).toBe(9);
		expect($scope.motas[8].fechaInfo).toBe(date);
		expect($scope.motas[8].inactiva).toBe(false);
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(9);
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.buscador).toBe('');
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('init error', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(500, []);
	    $httpBackend.flush();	
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceAdmFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(0);
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(0);
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
		expect($scope.buscador).toBe('');
	  }));
	  
	  it('ordenar', inject(function() {
		expect(controller).toBeDefined();
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		
		var col = 'col1';
		$scope.ordenar(col);
		expect($scope.ordenacion.columnaOrden).toBe(col);
	    expect($scope.ordenacion.sentido).toBe(true);
		expect($scope.ordenacion.ordenacion).toBe('+'+col);
		
		$scope.ordenar(col);
		expect($scope.ordenacion.columnaOrden).toBe(col);
	    expect($scope.ordenacion.sentido).toBe(false);
		expect($scope.ordenacion.ordenacion).toBe('-'+col);
		
		col = 'col2';
		$scope.ordenar(col);
		expect($scope.ordenacion.columnaOrden).toBe(col);
	    expect($scope.ordenacion.sentido).toBe(true);
		expect($scope.ordenacion.ordenacion).toBe('+'+col);
	  }));
	  
	  it('iconoOrdenacion', inject(function() {
		expect(controller).toBeDefined();
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		
		var col = 'col1';
		var s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-sort');
		
		$scope.ordenar(col);
		s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-triangle-top');
		
		$scope.ordenar(col);
		s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-triangle-bottom');
		
		$scope.ordenar('col2');
		s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-sort');
	  }));
	  
	  it('setPagina', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();	

		
		expect(controller).toBeDefined();
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(9);
		
		$scope.setPagina();
		expect($scope.paginacion.desde).toBe(0);
		
		$scope.paginacion.pagActual = 2;
		$scope.setPagina();
		expect($scope.paginacion.desde).toBe(5);
		
		$scope.paginacion.pagActual = 3;
		$scope.setPagina();
		expect($scope.paginacion.desde).toBe(10);
	  }));
	  
	  it('preparaPaginacion', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();	
	
		expect(controller).toBeDefined();
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(9);
		
		$scope.preparaPaginacion();
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(9);
		
		$scope.buscador='XXXX';
		$scope.preparaPaginacion();
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(1);
	  }));

	  it('seleccionarMota', inject(function() {		
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		expect($scope.mota_seleccionada).toBeUndefined();

		$httpBackend.expectGET(baseURL + 'adm/motas/1/status').respond(200, [11,22,33,44]);
		$scope.seleccionarMota(datosMotas[0]);
		$httpBackend.flush();
		
		expect($scope.mota_seleccionada.ordenacion.columnaOrden).toBeNull();
		expect($scope.mota_seleccionada.ordenacion.sentido).toBeNull();
		expect($scope.mota_seleccionada.ordenacion.ordenacion).toBeNull();
		expect($scope.mota_seleccionada.mota).toBeDefined();
		expect($scope.mota_seleccionada.mota.id).toBe(1);
		expect($scope.mota_seleccionada.status).toBeDefined();
		expect($scope.mota_seleccionada.status.length).toBe(4);
		expect($scope.mota_seleccionada.status[0]).toBe(11);
		expect($scope.mota_seleccionada.status[3]).toBe(44);
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('seleccionarMota error', inject(function() {		
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		expect($scope.mota_seleccionada).toBeUndefined();

		$httpBackend.expectGET(baseURL + 'adm/motas/1/status').respond(500, []);
		$scope.seleccionarMota(datosMotas[0]);
		$httpBackend.flush();
		
		expect($scope.mota_seleccionada.ordenacion.columnaOrden).toBeNull();
		expect($scope.mota_seleccionada.ordenacion.sentido).toBeNull();
		expect($scope.mota_seleccionada.ordenacion.ordenacion).toBeNull();
		expect($scope.mota_seleccionada.mota).toBeDefined();
		expect($scope.mota_seleccionada.mota.id).toBe(1);
		expect($scope.mota_seleccionada.status).toBeUndefined();
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));

	  it('eliminarMota', inject(function() {		
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(9);
		expect($scope.motas[0]).toBeDefined();
		expect($scope.motas[0].id).toBe(1);
		expect($scope.motas[0].fechaInfo).toBe(date);
		expect($scope.motas[0].inactiva).toBe(false);

		$httpBackend.expectDELETE(baseURL + 'adm/motas/1').respond(200);
		$scope.eliminarMota($scope.motas[0]);
		$httpBackend.flush();
		
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(8);
		expect($scope.motas[0]).toBeDefined();
		expect($scope.motas[0].id).toBe(2);
		expect($scope.motas[0].fechaInfo).toBe(date);
		expect($scope.motas[0].inactiva).toBe(false);
		
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(8);
		
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('eliminarMota error', inject(function() {		
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(9);
		expect($scope.motas[0]).toBeDefined();
		expect($scope.motas[0].id).toBe(1);
		expect($scope.motas[0].fechaInfo).toBe(date);
		expect($scope.motas[0].inactiva).toBe(false);

		$httpBackend.expectDELETE(baseURL + 'adm/motas/1').respond(500);
		$scope.eliminarMota($scope.motas[0]);
		$httpBackend.flush();
		
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(9);
		expect($scope.motas[0]).toBeDefined();
		expect($scope.motas[0].id).toBe(1);
		expect($scope.motas[0].fechaInfo).toBe(date);
		expect($scope.motas[0].inactiva).toBe(false);
		
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(9);
		
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	});
	
	describe('AdmConfiguracionController', function() {

	  var controller, $scope, wsnWebInterfaceAdmFactory, wsnWebInterfaceFactory, $filter, regXPagina = 5, $httpBackend, baseURL;
	  var $uibModal = {open: function() { return {opened: {then: function (f){f();}}, close: function() {}, result:{then: function(callback){ callback('ok'); }}} } };
  
	  var d = new Date();
	  var date = d.getFullYear()+'-'+(d.getMonth()<9 ?  '0'+(d.getMonth()+1) : ''+(d.getMonth()+1))+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':'+d.getSeconds();
	  var datosMotas = [{id:1,fechaInfo:date,b:'XXXX'},{id:2,fechaInfo:date},{id:3,fechaInfo:date},{id:4,fechaInfo:date},{id:5,fechaInfo:date},{id:6,fechaInfo:date},{id:7,fechaInfo:date},{id:8,fechaInfo:date},{id:9,fechaInfo:date}];
	  
	  beforeEach(inject(function(_$controller_, $rootScope, _$httpBackend_, _$filter_, _wsnWebInterfaceAdmFactory_, _wsnWebInterfaceFactory_, _baseURL_){
		$scope = $rootScope.$new();
		$filter = _$filter_;
		$httpBackend = _$httpBackend_;
		wsnWebInterfaceAdmFactory = _wsnWebInterfaceAdmFactory_;
		wsnWebInterfaceFactory = _wsnWebInterfaceFactory_;
		baseURL = _baseURL_;
	
		controller = _$controller_('AdmConfiguracionController', { '$scope': $scope, '$filter':$filter, '$uibModal':$uibModal, 'wsnWebInterfaceFactory':wsnWebInterfaceFactory, 'wsnWebInterfaceAdmFactory':wsnWebInterfaceAdmFactory, 'regXPagina':regXPagina });	
	  }));
	  
	  it('init', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();	
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceAdmFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(9);
		expect($scope.motas[0]).toBeDefined();
		expect($scope.motas[0].id).toBe(1);
		expect($scope.motas[0].fechaInfo).toBe(date);
		expect($scope.motas[8]).toBeDefined();
		expect($scope.motas[8].id).toBe(9);
		expect($scope.motas[8].fechaInfo).toBe(date);
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(9);
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.buscador).toBe('');
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('init error', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(500, []);
	    $httpBackend.flush();	
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceAdmFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(0);
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(0);
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.buscador).toBe('');
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	  
	  it('ordenar', inject(function() {
		expect(controller).toBeDefined();
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		
		var col = 'col1';
		$scope.ordenar(col);
		expect($scope.ordenacion.columnaOrden).toBe(col);
	    expect($scope.ordenacion.sentido).toBe(true);
		expect($scope.ordenacion.ordenacion).toBe('+'+col);
		
		$scope.ordenar(col);
		expect($scope.ordenacion.columnaOrden).toBe(col);
	    expect($scope.ordenacion.sentido).toBe(false);
		expect($scope.ordenacion.ordenacion).toBe('-'+col);
		
		col = 'col2';
		$scope.ordenar(col);
		expect($scope.ordenacion.columnaOrden).toBe(col);
	    expect($scope.ordenacion.sentido).toBe(true);
		expect($scope.ordenacion.ordenacion).toBe('+'+col);
	  }));
	  
	  it('iconoOrdenacion', inject(function() {
		expect(controller).toBeDefined();
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		
		var col = 'col1';
		var s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-sort');
		
		$scope.ordenar(col);
		s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-triangle-top');
		
		$scope.ordenar(col);
		s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-triangle-bottom');
		
		$scope.ordenar('col2');
		s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-sort');
	  }));
	  
	  it('setPagina', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();	

		
		expect(controller).toBeDefined();
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(9);
		
		$scope.setPagina();
		expect($scope.paginacion.desde).toBe(0);
		
		$scope.paginacion.pagActual = 2;
		$scope.setPagina();
		expect($scope.paginacion.desde).toBe(5);
		
		$scope.paginacion.pagActual = 3;
		$scope.setPagina();
		expect($scope.paginacion.desde).toBe(10);
	  }));
	  
	  it('preparaPaginacion', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();	
	
		expect(controller).toBeDefined();
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(9);
		
		$scope.preparaPaginacion();
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(9);
		
		$scope.buscador='XXXX';
		$scope.preparaPaginacion();
		expect($scope.paginacion.desde).toBe(0);
		expect($scope.paginacion.pagActual).toBe(1);
		expect($scope.paginacion.totalRegistros).toBe(1);
	  }));

	  it('seleccionarMota', inject(function() {		
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(0);

		$httpBackend.expectGET(baseURL + 'parametros').respond(200, [{id:1,desc:'11',mota:1},{id:2,desc:'22'},{id:3,desc:'33'},{id:4,desc:'44',mota:1}]);
		$httpBackend.expectGET(baseURL + 'adm/motas/1/configuracion').respond(200, [{id:1, valor:11},{id:2, valor:22},{id:3, valor:33},{id:4, valor:44}]);
		$scope.seleccionarMota(datosMotas[0]);
		$httpBackend.flush();

		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(4);
		expect($scope.parametros[0].id).toBe(1);
		expect($scope.parametros[0].valor).toBe(11);
		expect($scope.parametros[0].p).toBeDefined();
		expect($scope.parametros[0].p.id).toBe(1);
		expect($scope.parametros[0].p.desc).toBe('11');
		expect($scope.parametros[0].p.mota).toBe(1);
		expect($scope.parametros[3].id).toBe(4);
		expect($scope.parametros[3].valor).toBe(44);
		expect($scope.parametros[3].p).toBeDefined();
		expect($scope.parametros[3].p.id).toBe(4);
		expect($scope.parametros[3].p.desc).toBe('44');
		expect($scope.aMOTAparams).toBeDefined();
		expect($scope.aMOTAparams.length).toBe(2);
		expect($scope.aMOTAparams[0]).toBe(1);
		expect($scope.aMOTAparams[1]).toBe(4);
		
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('seleccionarMota error', inject(function() {		
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(0);

		$httpBackend.expectGET(baseURL + 'parametros').respond(200, [{id:1,desc:'11'},{id:2,desc:'22'},{id:3,desc:'33'},{id:4,desc:'44'}]);
		$httpBackend.expectGET(baseURL + 'adm/motas/1/configuracion').respond(500, []);
		$scope.seleccionarMota(datosMotas[0]);
		$httpBackend.flush();

		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(0);
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	  
	  it('seleccionarMota error 2', inject(function() {		
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(0);

		$httpBackend.expectGET(baseURL + 'parametros').respond(500, []);
		$scope.seleccionarMota(datosMotas[0]);
		$httpBackend.flush();

		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(0);
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	  
	  it('cancelar', inject(function() {		
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(0);

		$httpBackend.expectGET(baseURL + 'parametros').respond(200, [{id:1,desc:'11'},{id:2,desc:'22'},{id:3,desc:'33'},{id:4,desc:'44'}]);
		$httpBackend.expectGET(baseURL + 'adm/motas/1/configuracion').respond(200, [{id:1, valor:11},{id:2, valor:22},{id:3, valor:33},{id:4, valor:44}]);
		$scope.seleccionarMota(datosMotas[0]);
		$httpBackend.flush();

		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(4);
		
		$scope.cancelar();
		
		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(0);
	  }));

	  it('guardar', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		$scope.parametros=[{id:11, valor:11},{id:22, valor:22},{id:33, valor:33},{id:44, valor:44}];
		$scope.mota_seleccionada = {id:1};

		$httpBackend.expectPUT(baseURL + 'adm/motas/1/configuracion', $scope.parametros).respond(200);
		$scope.guardar($scope.motas[0]);
		$httpBackend.flush();
		
		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(0);
		expect($scope.mensajes.mensajeOk).toBe("Configuración modificada correctamente");
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('guardar error', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		$scope.parametros=[{id:11, valor:11},{id:22, valor:22},{id:33, valor:33},{id:44, valor:44}];
		$scope.mota_seleccionada = {id:1};

		$httpBackend.expectPUT(baseURL + 'adm/motas/1/configuracion', $scope.parametros).respond(500);
		$scope.guardar($scope.motas[0]);
		$httpBackend.flush();
		
		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(4);
		expect($scope.mensajes.mensajeOk).toBeNull();
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	  
	  it('sincronizar', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		$scope.aMOTAparams=[1,3];
		$scope.parametros=[{id:1, valor:11},{id:2, valor:22},{id:3, valor:33},{id:4, valor:44},{id:5, valor:55}];
		var parametrosep = [$scope.parametros[0], $scope.parametros[2]];
		$scope.mota_seleccionada = {id:1};

		$httpBackend.expectPUT(baseURL + 'adm/motas/configuracion', parametrosep).respond(200);
		$scope.guardarTodasMotas();
		$httpBackend.flush();
		
		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(0);
		expect($scope.mensajes.mensajeOk).toBe("Sincronización realizada correctamente");
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('sincronizar error', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datosMotas);
	    $httpBackend.flush();
		
		$scope.aMOTAparams=[1,3];
		$scope.parametros=[{id:1, valor:11},{id:2, valor:22},{id:3, valor:33},{id:4, valor:44},{id:5, valor:55}];
		var parametrosep = [$scope.parametros[0], $scope.parametros[2]];
		$scope.mota_seleccionada = {id:1};

		$httpBackend.expectPUT(baseURL + 'adm/motas/configuracion', parametrosep).respond(500);
		$scope.guardarTodasMotas();
		$httpBackend.flush();
		
		expect($scope.parametros).toBeDefined();
		expect($scope.parametros.length).toBe(5);
		expect($scope.mensajes.mensajeOk).toBeNull();
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	});
	
	describe('AdmTablasController', function() {

	  var controller, $scope, wsnWebInterfaceAdmAppFactory, $filter, $httpBackend, baseURL;
	  var $uibModal = {open: function() { return {opened: {then: function (f){f();}}, close: function() {}, result:{then: function(callback){ callback('ok'); }}} } };
  
	  var datos = [{id:1,desc:'XXXX 1'},{id:2,desc:'XXXX 2'},{id:3,desc:'XXXX 3'},{id:4,desc:'XXXX 4'},{id:5,desc:'XXXX 5'}];
	
	  
	  beforeEach(inject(function(_$controller_, $rootScope, _$httpBackend_, _$filter_, _wsnWebInterfaceAdmAppFactory_, _baseURL_){
		$scope = $rootScope.$new();
		$filter = _$filter_;
		$httpBackend = _$httpBackend_;
		wsnWebInterfaceAdmAppFactory = _wsnWebInterfaceAdmAppFactory_;
		baseURL = _baseURL_;
	
		controller = _$controller_('AdmTablasController', { '$scope': $scope, '$filter':$filter, '$uibModal':$uibModal, 'wsnWebInterfaceAdmAppFactory':wsnWebInterfaceAdmAppFactory });	
	  }));
	  
	  it('initUsuarios', inject(function() {
	    expect($scope.tabla).toBeUndefined();
		expect($scope.tablas).toBeDefined();
		expect($scope.tablas.length).toBe(4);
		expect($scope.datos).toBeDefined();
		expect($scope.datos.length).toBe(0);
		
		$httpBackend.expectGET(baseURL + 'administracion/usuarios').respond(200, datos);
		$scope.initUsuarios();
	    $httpBackend.flush();	
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceAdmAppFactory);
		expect($scope.tabla).toBe('usuarios');
		expect($scope.datos).toBeDefined();
		expect($scope.datos.length).toBe(5);
		expect($scope.datos[0]).toBeDefined();
		expect($scope.datos[0].id).toBe(1);
		expect($scope.datos[0].desc).toBe('XXXX 1');
		expect($scope.datos[4]).toBeDefined();
		expect($scope.datos[4].id).toBe(5);
		expect($scope.datos[4].desc).toBe('XXXX 5');
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('initUsuarios error', inject(function() {
	    expect($scope.tabla).toBeUndefined();
		expect($scope.tablas).toBeDefined();
		expect($scope.tablas.length).toBe(4);
		expect($scope.datos).toBeDefined();
		expect($scope.datos.length).toBe(0);
		
		$httpBackend.expectGET(baseURL + 'administracion/usuarios').respond(500, datos);
		$scope.initUsuarios();
	    $httpBackend.flush();	
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceAdmAppFactory);
		expect($scope.tabla).toBe('usuarios');
		expect($scope.datos).toBeDefined();
		expect($scope.datos.length).toBe(0);
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	  
	  it('cargaTabla', inject(function() {
	    expect($scope.tabla).toBeUndefined();
		expect($scope.tablas).toBeDefined();
		expect($scope.tablas.length).toBe(4);
		expect($scope.datos).toBeDefined();
		expect($scope.datos.length).toBe(0);
		
		$httpBackend.expectGET(baseURL + 'administracion/sensores').respond(200, datos);
		$scope.tabla = 'sensores'
		$scope.cargaTabla();
	    $httpBackend.flush();	
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceAdmAppFactory);
		expect($scope.tabla).toBe('sensores');
		expect($scope.datos).toBeDefined();
		expect($scope.datos.length).toBe(5);
		expect($scope.datos[0]).toBeDefined();
		expect($scope.datos[0].id).toBe(1);
		expect($scope.datos[0].desc).toBe('XXXX 1');
		expect($scope.datos[4]).toBeDefined();
		expect($scope.datos[4].id).toBe(5);
		expect($scope.datos[4].desc).toBe('XXXX 5');
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('cargaTabla error', inject(function() {
	    expect($scope.tabla).toBeUndefined();
		expect($scope.tablas).toBeDefined();
		expect($scope.tablas.length).toBe(4);
		expect($scope.datos).toBeDefined();
		expect($scope.datos.length).toBe(0);
		
		$httpBackend.expectGET(baseURL + 'administracion/sensores').respond(500, []);
		$scope.tabla = 'sensores'
		$scope.cargaTabla();
	    $httpBackend.flush();	
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceAdmAppFactory);
		expect($scope.tabla).toBe('sensores');
		expect($scope.datos).toBeDefined();
		expect($scope.datos.length).toBe(0);
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	  
	  it('ordenar', inject(function() {
		expect(controller).toBeDefined();
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		
		var col = 'col1';
		$scope.ordenar(col);
		expect($scope.ordenacion.columnaOrden).toBe(col);
	    expect($scope.ordenacion.sentido).toBe(true);
		expect($scope.ordenacion.ordenacion).toBe('+'+col);
		
		$scope.ordenar(col);
		expect($scope.ordenacion.columnaOrden).toBe(col);
	    expect($scope.ordenacion.sentido).toBe(false);
		expect($scope.ordenacion.ordenacion).toBe('-'+col);
		
		col = 'col2';
		$scope.ordenar(col);
		expect($scope.ordenacion.columnaOrden).toBe(col);
	    expect($scope.ordenacion.sentido).toBe(true);
		expect($scope.ordenacion.ordenacion).toBe('+'+col);
	  }));
	  
	  it('iconoOrdenacion', inject(function() {
		expect(controller).toBeDefined();
		expect($scope.ordenacion.columnaOrden).toBeNull();
		expect($scope.ordenacion.sentido).toBeNull();
		expect($scope.ordenacion.ordenacion).toBeNull();
		
		var col = 'col1';
		var s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-sort');
		
		$scope.ordenar(col);
		s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-triangle-top');
		
		$scope.ordenar(col);
		s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-triangle-bottom');
		
		$scope.ordenar('col2');
		s = $scope.iconoOrdenacion(col);
		expect(s).toBe('glyphicon glyphicon-sort');
	  }));
	  
	  it('seleccionar', inject(function() {		
		expect($scope.dato).toBeUndefined();
		
		var dator = {};
        dator.id = 1;
		dator.descripcion = 'descripcion 1';
        dator.longitud = 2;
        dator.id_tipos_parametro = 3;
        dator.mota = 4;
        dator.valor_critico = 5;
        dator.comparacion = 'comparacion 6';
        dator.alerta = 'alerta 7';
        dator.usuario = 'usuario 8';
        dator.password = 'password 9';
		dator.interfaz = 'bbdd 10';
		
		$scope.seleccionar(dator);
		
		expect($scope.dato).not.toBe(dator);
		expect($scope.dato.id).toBe(dator.id);
		expect($scope.dato.descripcion).toBe(dator.descripcion);
		expect($scope.dato.longitud).toBe(dator.longitud);
		expect($scope.dato.id_tipos_parametro).toBe(dator.id_tipos_parametro);
		expect($scope.dato.mota).toBe(dator.mota);
		expect($scope.dato.valor_critico).toBe(dator.valor_critico);
		expect($scope.dato.comparacion).toBe(dator.comparacion);
		expect($scope.dato.alerta).toBe(dator.alerta);
		expect($scope.dato.usuario).toBe(dator.usuario);
		expect($scope.dato.password).toBe(dator.password);
		expect($scope.dato.interfaz).toBe(dator.interfaz);
	  }));
	  
	  it('cancelar', inject(function() {		
		expect($scope.dato).toBeUndefined();
		
		var dator = {id:1, descripcion:'descripcion 1'};	
		$scope.seleccionar(dator);
		
		expect($scope.dato).not.toBe(dator);
		expect($scope.dato.id).toBe(dator.id);
		expect($scope.dato.descripcion).toBe(dator.descripcion);

		$scope.cancelar();
		
		expect($scope.dato).toBeDefined();
		expect($scope.dato.id).toBeUndefined();
		expect($scope.dato.descripcion).toBeUndefined();
	  }));

	  it('guardar', inject(function() {		
		$scope.tabla = 'sensores'
		$scope.dato = {id:1, descripcion:'descripcion 1'};	

		$httpBackend.expectPOST(baseURL + 'administracion/sensores', $scope.dato).respond(200);
		$httpBackend.expectGET(baseURL + 'administracion/sensores').respond(200, datos);
		$scope.guardar();
		$httpBackend.flush();
		
		expect($scope.dato).toBeDefined();
		expect($scope.dato.id).toBeUndefined();
		expect($scope.dato.descripcion).toBeUndefined();
		
		expect($scope.mensajes.mensajeOk).toBe('Dato guardado correctamente');
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('guardar error', inject(function() {		
		$scope.tabla = 'sensores'
		$scope.dato = {id:1, descripcion:'descripcion 1'};	

		$httpBackend.expectPOST(baseURL + 'administracion/sensores', $scope.dato).respond(500);
		$scope.guardar();
		$httpBackend.flush();
		
		expect($scope.dato).toBeDefined();
		expect($scope.dato.id).toBe(1);
		expect($scope.dato.descripcion).toBe('descripcion 1');
		
		expect($scope.mensajes.mensajeOk).toBeNull();
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	  
	  it('guardar error 2', inject(function() {		
		$scope.tabla = 'sensores'
		$scope.dato = {id:1, descripcion:'descripcion 1'};	

		$httpBackend.expectPOST(baseURL + 'administracion/sensores', $scope.dato).respond(200);
		$httpBackend.expectGET(baseURL + 'administracion/sensores').respond(500, []);
		$scope.guardar();
		$httpBackend.flush();
		
		expect($scope.dato).toBeDefined();
		expect($scope.dato.id).toBeUndefined();
		expect($scope.dato.descripcion).toBeUndefined();
		
		expect($scope.mensajes.mensajeOk).toBe('Dato guardado correctamente');
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));

	  it('borrar', inject(function() {		
		$scope.tabla = 'sensores'
		var dato = {id:1, descripcion:'descripcion 1'};	
		
		$httpBackend.expectDELETE(baseURL + 'administracion/sensores/1').respond(200);
		$httpBackend.expectGET(baseURL + 'administracion/sensores').respond(200, datos);
		$scope.borrar(dato);
		$httpBackend.flush();
		
		expect($scope.mensajes.mensajeOk).toBe('Dato eliminado correctamente');
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('borrar error', inject(function() {		
		$scope.tabla = 'sensores'
		var dato = {id:1, descripcion:'descripcion 1'};	
		
		$httpBackend.expectDELETE(baseURL + 'administracion/sensores/1').respond(500);
		$scope.borrar(dato);
		$httpBackend.flush();
		
		expect($scope.mensajes.mensajeOk).toBeNull();
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	  
	  it('borrar', inject(function() {		
		$scope.tabla = 'sensores'
		var dato = {id:1, descripcion:'descripcion 1'};	
		
		$httpBackend.expectDELETE(baseURL + 'administracion/sensores/1').respond(200);
		$httpBackend.expectGET(baseURL + 'administracion/sensores').respond(500, []);
		$scope.borrar(dato);
		$httpBackend.flush();
		
		expect($scope.mensajes.mensajeOk).toBe('Dato eliminado correctamente');
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	});
	
	describe('AdmMapaController', function() {
	 
	  var controller, $scope, wsnWebInterfaceFactory, $filter, $httpBackend, XYparams=[3,4], baseURL;
	  var $uibModal = {open: function() { return {opened: {then: function (f){f();}}, close: function() {}, result:{then: function(callback){ callback('ok'); }}} } };
	  var datos = [{id:1,X:1,Y:1,desc:'desc1',ip:'ip1'},{id:2,X:2,Y:2,desc:'desc2',ip:'ip2'},{id:3,X:3,Y:3,desc:'desc3',ip:'ip3'},{id:4,X:4,Y:4,desc:'desc4',ip:'ip4'},{id:5,X:5,Y:5,desc:'desc5',ip:'ip5'}];

	  beforeEach(inject(function(_$controller_, $rootScope, _$httpBackend_, _$filter_, _wsnWebInterfaceAdmFactory_, _wsnWebInterfaceFactory_, _baseURL_){
		$scope = $rootScope.$new();
		$filter = _$filter_;
		$httpBackend = _$httpBackend_;
		wsnWebInterfaceAdmFactory = _wsnWebInterfaceAdmFactory_;
		wsnWebInterfaceFactory = _wsnWebInterfaceFactory_;
		baseURL = _baseURL_;

		controller = _$controller_('AdmMapaController', { '$scope': $scope, '$filter':$filter, '$uibModal':$uibModal, 'wsnWebInterfaceAdmFactory':wsnWebInterfaceAdmFactory, 'wsnWebInterfaceFactory':wsnWebInterfaceFactory, 'XYparams':XYparams });	
	  }));
	  
	  it('init', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datos);
		$httpBackend.expectGET(baseURL + 'mapa/info').respond(200, [{X:1, Y:1}]);
	    $httpBackend.flush();
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(5);
		expect($scope.motas[0].X).toBe(1);
		expect($scope.motas[4].X).toBe(5);
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('init error', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(500, []);
	    $httpBackend.flush();
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(0);
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	  
	  it('init error 2', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datos);
		$httpBackend.expectGET(baseURL + 'mapa/info').respond(500, {});
	    $httpBackend.flush();
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(0);
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	  
	  it('salvar', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datos);
		$httpBackend.expectGET(baseURL + 'mapa/info').respond(200, [{X:1, Y:1}]);
	    $httpBackend.flush();
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(5);
		expect($scope.motas[0].X).toBe(1);
		expect($scope.motas[4].X).toBe(5);
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.mensajes.mensajeError).toBeNull();
		
		$scope.motas[0].X = $scope.motas[0].X + 11;
		var coordenadas = [{"id":XYparams[0], "valor": 1}, {"id":XYparams[1], "valor": 1}];

		$httpBackend.expectPUT(baseURL + 'adm/motas/1/configuracion', coordenadas).respond(200);
		$scope.salvar();
		$httpBackend.flush();
		
		expect($scope.mensajes.mensajeError).toBeNull();
        expect($scope.mensajes.mensajeOk).toBe("Localización modificada correctamente");
	  }));
	  
	  it('salvar error', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datos);
		$httpBackend.expectGET(baseURL + 'mapa/info').respond(200, [{X:1, Y:1}]);
	    $httpBackend.flush();
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(5);
		expect($scope.motas[0].X).toBe(1);
		expect($scope.motas[4].X).toBe(5);
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.mensajes.mensajeError).toBeNull();
		
		$scope.motas[0].X = $scope.motas[0].X + 11;
		var coordenadas = [{"id":XYparams[0], "valor": 1}, {"id":XYparams[1], "valor": 1}];

		$httpBackend.expectPUT(baseURL + 'adm/motas/1/configuracion', coordenadas).respond(500);
		$scope.salvar();
		$httpBackend.flush();
		
		expect($scope.mensajes.mensajeError).toBe("Error al modificar la localización de las motas :desc1(ip1) ");
        expect($scope.mensajes.mensajeOk).toBeNull();
	  }));
	  
	  it('salvar 2', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datos);
		$httpBackend.expectGET(baseURL + 'mapa/info').respond(200, [{X:1, Y:1}]);
	    $httpBackend.flush();
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(5);
		expect($scope.motas[0].X).toBe(1);
		expect($scope.motas[4].X).toBe(5);
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.mensajes.mensajeError).toBeNull();
		
		$scope.motas[0].X = $scope.motas[0].X + 11;
		$scope.motas[1].X = $scope.motas[1].X + 11;
		var coordenadas = [{"id":XYparams[0], "valor": 1}, {"id":XYparams[1], "valor": 1}];
		var coordenadas2 = [{"id":XYparams[0], "valor": 2}, {"id":XYparams[1], "valor": 2}];

		$httpBackend.expectPUT(baseURL + 'adm/motas/1/configuracion', coordenadas).respond(200);
		$httpBackend.expectPUT(baseURL + 'adm/motas/2/configuracion', coordenadas2).respond(200);
		$scope.salvar();
		$httpBackend.flush();
		
		expect($scope.mensajes.mensajeError).toBeNull();
        expect($scope.mensajes.mensajeOk).toBe("Localización modificada correctamente");
	  }));
	  
	  it('salvar 2 error 1', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datos);
		$httpBackend.expectGET(baseURL + 'mapa/info').respond(200, [{X:1, Y:1}]);
	    $httpBackend.flush();
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(5);
		expect($scope.motas[0].X).toBe(1);
		expect($scope.motas[4].X).toBe(5);
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.mensajes.mensajeError).toBeNull();
		
		$scope.motas[0].X = $scope.motas[0].X + 11;
		$scope.motas[1].X = $scope.motas[1].X + 11;
		var coordenadas = [{"id":XYparams[0], "valor": 1}, {"id":XYparams[1], "valor": 1}];
		var coordenadas2 = [{"id":XYparams[0], "valor": 2}, {"id":XYparams[1], "valor": 2}];

		$httpBackend.expectPUT(baseURL + 'adm/motas/1/configuracion', coordenadas).respond(500);
		$httpBackend.expectPUT(baseURL + 'adm/motas/2/configuracion', coordenadas2).respond(200);
		$scope.salvar();
		$httpBackend.flush();
		
		expect($scope.mensajes.mensajeError).toBe("Error al modificar la localización de las motas :desc1(ip1) ");
        expect($scope.mensajes.mensajeOk).toBeNull();
	  }));
	  
	  it('salvar 2 error 2', inject(function() {
		$httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datos);
		$httpBackend.expectGET(baseURL + 'mapa/info').respond(200, [{X:1, Y:1}]);
	    $httpBackend.flush();
		
		expect(controller).toBeDefined();
		expect(wsnWebInterfaceFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(5);
		expect($scope.motas[0].X).toBe(1);
		expect($scope.motas[4].X).toBe(5);
		expect($scope.mota_seleccionada).toBeUndefined();
		expect($scope.mensajes.mensajeError).toBeNull();
		
		$scope.motas[0].X = $scope.motas[0].X + 11;
		$scope.motas[1].X = $scope.motas[1].X + 11;
		var coordenadas = [{"id":XYparams[0], "valor": 1}, {"id":XYparams[1], "valor": 1}];
		var coordenadas2 = [{"id":XYparams[0], "valor": 2}, {"id":XYparams[1], "valor": 2}];

		$httpBackend.expectPUT(baseURL + 'adm/motas/1/configuracion', coordenadas).respond(500);
		$httpBackend.expectPUT(baseURL + 'adm/motas/2/configuracion', coordenadas2).respond(500);
		$scope.salvar();
		$httpBackend.flush();
		
		expect($scope.mensajes.mensajeError).toBe("Error al modificar la localización de las motas :desc1(ip1) desc2(ip2) ");
        expect($scope.mensajes.mensajeOk).toBeNull();
	  }));
	  
	  it('descargarImagen', inject(function() {
	    $httpBackend.expectGET(baseURL + 'adm/motas').respond(200, datos);
		$httpBackend.expectGET(baseURL + 'mapa/info').respond(200, [{X:1, Y:1}]);
	    $httpBackend.flush();

		expect(controller).toBeDefined();
		expect(wsnWebInterfaceFactory);
		expect($scope.motas).toBeDefined();
		expect($scope.motas.length).toBe(5);
		expect($scope.motas[0].X).toBe(1);
		expect($scope.motas[4].X).toBe(5);
		expect($scope.mota_seleccionada).toBeUndefined();
		
		$scope.descargarImagen();
	  }));
	});
	
	describe('AdmCambioMapaController', function() {

	  var controller, $scope, wsnWebInterfaceAdmFactory, $filter, $httpBackend, baseURL;
	  var $uibModal = {open: function() { return {opened: {then: function (f){f();}}, close: function() {}, result:{then: function(callback){ callback('ok'); }}} } };
	  
	  beforeEach(inject(function(_$controller_, $rootScope, _$httpBackend_, _$filter_, _wsnWebInterfaceAdmFactory_, _baseURL_){
		$scope = $rootScope.$new();
		$filter = _$filter_;
		$httpBackend = _$httpBackend_;
		wsnWebInterfaceAdmFactory = _wsnWebInterfaceAdmFactory_;
		baseURL = _baseURL_;
	
		controller = _$controller_('AdmCambioMapaController', { '$scope': $scope, '$filter':$filter, '$uibModal':$uibModal, 'wsnWebInterfaceAdmFactory':wsnWebInterfaceAdmFactory });	
	  }));
	  
	  it('cancelar', inject(function() {		
		expect($scope.dato).toBeDefined();
		
		$scope.dato = {X:1, Y:1, mapa:'....'};

		$scope.cancelar();
		
		expect($scope.dato).toBeDefined();
		expect($scope.dato.X).toBeUndefined();
	  }));
	  
	  it('guardar', inject(function() {		
		$scope.dato = {X:1, Y:1, mapa:'....'};

		$httpBackend.expectPOST(baseURL + 'mapa', $scope.dato).respond(200);
		$scope.guardar();
		$httpBackend.flush();
		
		expect($scope.dato).toBeDefined();
		expect($scope.dato.X).toBeUndefined();		
		expect($scope.mensajes.mensajeOk).toBe('Dato guardado correctamente');
		expect($scope.mensajes.mensajeError).toBeNull();
	  }));
	  
	  it('guardar error', inject(function() {		
		$scope.dato = {X:1, Y:1, mapa:'....'};

		$httpBackend.expectPOST(baseURL + 'mapa', $scope.dato).respond(500);
		$scope.guardar();
		$httpBackend.flush();
		
		expect($scope.dato).toBeDefined();
		expect($scope.dato.X).toBe(1);		
		expect($scope.mensajes.mensajeOk).toBeNull();
		expect($scope.mensajes.mensajeError).toBe('Error de conexión');
	  }));
	});
});