from coapUocapp import coap, coapDefines as d, coapOption
from flask import json
from uocapp_logging import logger

cli = None

def get(ip):
    """
    Cliente GET, ip = IPV6
    """
    p = cli.GET('coap://{0}/uocapp'.format(ip), options=[coapOption.ContentFormat([d.FORMAT_JSON])])
    return ''.join([chr(b) for b in p])

def post(ip, s):
    """
    Cliente POST, ip = IPV6 s payload
    """
    lista_servidores = ''
    if s.get(1) != None:
        lista_servidores = s[1]
        del s[1]

    msj = json.dumps(s, separators=(',',':'))
    logger.debug('Enviando a ' + ip + ' datos ' + msj)
    cli.POST(uri='coap://{0}/uocapp'.format(ip), options=[coapOption.ContentFormat([d.FORMAT_JSON])], payload=[ord(b) for b in msj])

    if len(lista_servidores) > 0:
        lista = lista_servidores.split(',')
        for idx in range(len(lista)):
            servidor = lista[idx]
            puerto = servidor[servidor.rfind(":") + 1 : ]
            puerto = '{0:04X}'.format(int(puerto))
            host = servidor[1 : servidor.rfind(":") - 1]
            host = expandeipv6(host)
            host = host.replace(':','')
            host = host.replace(''.join(['0' for idx2 in range(maxceros(host))]), ':')
            ss = {}
            ss[1] = str(idx) + host + puerto
            msj = json.dumps(ss, separators=(',',':'))
            logger.debug('Enviando a ' + ip + ' datos ' + msj)
            cli.POST(uri='coap://{0}/uocapp'.format(ip), options=[coapOption.ContentFormat([d.FORMAT_JSON])], payload=[ord(b) for b in msj])
        
        ss = {}
        ss[1] = str(len(lista)) + '-'
        msj = json.dumps(ss, separators=(',',':'))
        logger.debug('Enviando a ' + ip + ' datos ' + msj)
        cli.POST(uri='coap://{0}/uocapp'.format(ip), options=[coapOption.ContentFormat([d.FORMAT_JSON])], payload=[ord(b) for b in msj])

def init(myUdpPort):
    global cli
    coapCli = coap.coap(udpPort=myUdpPort)
    cli = coapCli
    logger.info('Iniciado cliente CoAP en ' + str(myUdpPort))
    return coapCli

def expandeipv6(ipv6):
    ipv6exp = ipv6
    if ipv6exp.startswith('::'):
        ipv6exp = '0000' + ipv6exp
    aux = ipv6exp.find('::')
    if aux >= 0:
        grupos = ipv6exp.count(':')
        ipaux = ipv6exp[ : aux + 1]
        for idx in range(8-grupos):
            ipaux = ipaux + '0000:'
        ipaux = ipaux + ipv6exp[aux + 2 : ]
        ipv6exp = ipaux
    aux = ipv6exp.split(':')
    ipv6exp = ''
    for grupo in aux:
        ipv6exp = ipv6exp + '0000'[len(grupo):] + grupo + ':'
    return ipv6exp[:-1]

def maxceros(aux):
    maxc = 0
    iaux = 0
    for idx in range(len(aux)):
        if aux[idx] == '0':
            iaux = iaux + 1
        else:
            maxc = iaux if maxc < iaux else maxc
            iaux = 0
    maxc = iaux if maxc < iaux else maxc
    return maxc

