from coapUocapp import coap, coapResource, coapDefines as d, coapOption
import uocapp_dao as dao
import json
import uocapp_flask as webApp
from uocapp_logging import logger

class coapR(coapResource.coapResource):
    """
    Recurso /uocapp para el servidor CoAP
    """
    def __init__(self):
        coapResource.coapResource.__init__(self,path="uocapp")

    def POST(self,options,payload,sender):
        # {"s":{"1":1, "2":2}, "e":{"1":75}, "f": }
        db = None
        req = ''.join([chr(b) for b in payload]);
        logger.debug('Recibido [' + req + '] de ' + str(sender) )
        try:
            datos = json.loads(req)
            db = webApp.connect_db()

            alarmas = {}
            if datos.get("e") != None:
                statusBBDD = dao.status(db)
                for parametroBBDD in statusBBDD:
                    idStatus = str(parametroBBDD[0])
                    for id in datos["e"]:
                        if idStatus == id:
                            VAL = datos["e"][id]
                            datos["e"][id] =  float("{0:.3f}".format(eval(parametroBBDD[4])))
                            if eval(str(datos["e"][id]) + " " + parametroBBDD[2] + " " + str(parametroBBDD[1])):
                                logger.debug('Alerta parametro ' + id + ' ' + str(datos["e"][id]) + " " + parametroBBDD[2] + " " + str(parametroBBDD[1]))
                                alarmas[id] = parametroBBDD[3]

            if datos.get("s") != None:
                sensoresBBDD = dao.sensores(db)
                for sensorBBDD in sensoresBBDD:
                    idSensor = str(sensorBBDD[0])
                    for id in datos["s"]:
                        if idSensor == id:
                            VAL = datos["s"][id]
                            datos["s"][id] =  float("{0:.3f}".format(eval(sensorBBDD[3])))

            dao.inserta_datos_sensor(db, "["+sender[0]+"]:"+str(sender[1]), datos, alarmas)

            respCode        = d.COAP_RC_2_04_CHANGED
            respOptions     = options
            respPayload     = None

            return (respCode,respOptions,respPayload)
        except Exception as e:
            logger.error('Error al recibir mensaje CoAP [' + req + ']')
            logger.error(e)
        finally:
            if db != None:
                db.close()

def init(myUdpPort):
    coapServer = coap.coap(udpPort=myUdpPort)
    coapServer.addResource(coapR())
    logger.info('Iniciado servidor CoAP en ' + str(myUdpPort))
    return coapServer


