import sys
import logging
import logging.handlers

fileLogger = logging.handlers.RotatingFileHandler(
   filename    = './log/uocapp.log',
   mode        = 'w',
   backupCount = 5,
)
fileLogger.setFormatter(
    logging.Formatter(
        '[%(levelname)s] %(asctime)s %(name)s: %(message)s'
    )
)

logger = logging.getLogger('uocapp')
logger.setLevel(logging.DEBUG)
logger.addHandler(fileLogger)

def log_request(request,session):
    usr = ""
    if session.has_key("USUARIO") and session["USUARIO"] != None:
        usr = session["USUARIO"]
    logger.debug(request.method + ' ' + request.url + ' [' + str(usr) + ']')
    logger.debug(request.data)
    
def log_request_error(request, e):
    logger.error(request.method + ' ' + request.url)
    logger.error(request.data)
    logger.error('Error en linea ' + str(sys.exc_info()[2].tb_lineno))
    logger.error(e)
    raise e
