/**
* Copyright (c) 2014 Atmel Corporation. All rights reserved. 
*  
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are met:
* 
* 1. Redistributions of source code must retain the above copyright notice, this
* list of conditions and the following disclaimer.
* 
* 2. Redistributions in binary form must reproduce the above copyright notice, 
* this list of conditions and the following disclaimer in the documentation 
* and/or other materials provided with the distribution.
* 
* 3. The name of Atmel may not be used to endorse or promote products derived 
* from this software without specific prior written permission.  
* 
* 4. This software may only be redistributed and used in connection with an 
* Atmel microcontroller product.
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
* ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE 
* LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
* GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
* OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
* 
* 
* 
*/

/** \brief NMI_Handler Non Maskable Interrupt Handler

     All Non Maskable Interrupt will triggers this handler.

    \param [in] None
    \return None
 */
void NMI_Handler(void)
{
 while(1){
	 
 }
}

/** \brief HardFault_Handler handles the hardfaults of the mcu

     this function will handles the hardfaults due to data access 
	 bus error, data corruption

    \param [in] None
    \return None
 */
void HardFault_Handler(void)
{
 while(1){
	 
 }
}

/** \brief SVC_Handler handles supervisor calls

     This function will be triggered by Software Interrupt. 
	 Normally used to request privileged operations or access 
	 to system resources for an operating system

    \param [in] None
    \return None
 */
void SVC_Handler(void)
{
 while(1){
	 
 }
}

/** \brief PendSV_Handler Handles the PendSV triggers

     It's an interrupt-driven request for system level service. 
	 Mostly used at OS environment.

    \param [in] None
    \return None
 */
void PendSV_Handler(void)
{
 while(1){
	 
 }
}

/** \brief SysTick_Handler This function handles the Systick interrupts

     This function will generates the Systick interrupts generated by the 
	 SysTick timer. This will be generated when the exception the system 
	 timer generates when it reaches it to zero.

    \param [in] None
    \return None
 */
void SysTick_Handler(void)
{
 while(1){

 } 
}
